1. Diese Seite verwendet Cookies. Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies. Weitere Informationen
  2. Unsere jährliche Weihnachts-Banner-Aktion hat begonnen! Wir freuen uns auf viele, viele kreative Vorschläge.
    Mehr dazu könnt Ihr hier nachlesen: Weihnachtsbanner 2016

    Information ausblenden

LAME 3.98.3 compilen

Dieses Thema im Forum "Unix & Terminal" wurde erstellt von 93.93.93, 17.03.10.

  1. 93.93.93

    93.93.93 Granny Smith

    Dabei seit:
    07.11.08
    Beiträge:
    13
    Hallo,

    komme bei o.g. Vorhaben (möchte gerne via iTunes LAME den aktuellsten LAME-Codec beim Importieren meiner CDs in iTunes benutzen) nicht richtig von der Stelle.

    Am besten liste ich mal rasch auf, was ich bisher gemacht habe:

    1.: Developer Tools/xcode installiert
    2.: aus iTunes LAME.app/Contents/Resources/ die Datei lame entfernt
    3.: http://garr.dl.sourceforge.net/project/lame/lame/3.98.3/lame-3.98.3.tar.gz heruntergeladen und entpackt
    4.: terminal.app geöffnet
    5.: dort über cd den pfad zum ordner lame-3.98.3 definiert
    6.: dann ./configure && make && sudo make install eingegeben und die nun startenden buchstabenkolonnen beobachtet

    7.: natürlich sagt mir als Laien der ganze Kram dort nichts, die letzten Zeilen allerdings kann ich schon so interpretieren, dass irgendwas falsch gelaufen ist, nur was genau weiß ich leider nicht:

    Meine Fragen nun:

    a) was genau ist falsch gelaufen?
    b) wäre alles glatt gelaufen, hätte dann im Verzeichnis /usr/local/bin eine neue Datei namens lame gelegen, die die von mir entfernte Datei lame im .app package von iTunes LAME nun ersetzt?

    Vielen herzlichen Dank!

    P.S.: dass nichts installiert wurde, entnehme ich der oben zitierten Fehlermeldung, sowie folgender Antwort aus dem Terminal:

     
  2. QuickMik

    QuickMik Stahls Winterprinz

    Dabei seit:
    30.12.05
    Beiträge:
    5.189
    max oder xld sind keine alternativen für dich ?
     
  3. 84R7

    84R7 Granny Smith

    Dabei seit:
    15.03.10
    Beiträge:
    12
    Hi !

    ar: /Applications/: Inappropriate file type or format
    make[3]: *** [libmp3lame.la] Error 1

    Liegt wohl an der Datei libmp3lame.la , müsste die ne andere Endung haben. (Nach Ausgabe *omg*)

    Versuch doch mal bitte lame über MacPorts zu installieren.

    Ich würde erst Itunes mit lame installieren und dann über "mac ports" eine neuere lame version überschreiben lassen.

    Eine Alternative wäre ein fertig compiliertes lame paket über das http://www.finkproject.org

    mfg
    Bart
     

Diese Seite empfehlen